Public Get Branch
curl --request GET \
--url https://public-api.salu.com.vc/dev/routes/v0/branch/{branch_id} \
--header 'x-api-key: <api-key>'import requests
url = "https://public-api.salu.com.vc/dev/routes/v0/branch/{branch_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://public-api.salu.com.vc/dev/routes/v0/branch/{branch_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"display_name": "<string>",
"company_name": "<string>",
"cnpj": "<string>",
"is_active": true,
"address": "<string>",
"address_number": "<string>",
"address_detail": "<string>",
"zip_code": "<string>",
"neighborhood": "<string>",
"state": "<string>",
"city": "<string>",
"hr_code": "<string>",
"client_integration_code": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Branches
Get Branch
GET
/
v0
/
branch
/
{branch_id}
Public Get Branch
This endpoint returns details for a branch.
The response uses the
PublicApiBranchBaseResponse schema.Overview
- Method:
GET - Path:
/v0/branch/{branch_id} - OperationId:
public_get_branch_v0_branch__branch_id__get - Authentication: header
x-api-key(APIKeyHeaderin the OpenAPI)
Fields
- cnpj — Company / Branch identifier A CNPJ (Cadastro Nacional da Pessoa Jurídica) is the tax ID for a legal entity (company). A single company group may have multiple CNPJs, because each branch/worksite can have its own legal registration (branch-specific CNPJ). In our model, the Branch is identified by cnpj because that defines the legal employer entity responsible for compliance.
Example Request
curl -X GET "https://public-api.salu.com.vc/dev/routes/v0/branch/1c9e3c10-84f1-4b3d-8a54-5dbf5b7c1111" \
-H "Accept: application/json" \
-H "x-api-key: $SALU_PUBLIC_API_KEY"
Authorizations
Path Parameters
Response
Successful Response